curl --request POST \
--url https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId} \
--header 'Content-Type: application/json' \
--data '
{
"storeName": "lunchbox",
"currency": "USD",
"templateName": "Restaurant Template",
"address": {
"aptNo": "123A 345",
"line1": "Central Park East",
"line2": "Central Park East",
"city": "New York",
"state": "New York",
"zipcode": 10025,
"country": "USA"
},
"email": "test@noreply.com",
"mobile": "323-232-2323",
"logo": "https://images.aasaan.shop/stores/logo/logo_1684500490812.png",
"favicon": "https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png",
"metaData": {},
"workingHours": [
{
"timeZone": "EDT",
"days": [
{
"day": "Monday",
"holiday": "Independence Day, Sunday, Monday",
"times": [
{
"startTime": "10:00 AM",
"endTime": "15:00 PM"
}
]
}
]
}
],
"seo": {
"title": "seo title",
"description": "seo description",
"image": "https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg"
}
}
'import requests
url = "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}"
payload = {
"storeName": "lunchbox",
"currency": "USD",
"templateName": "Restaurant Template",
"address": {
"aptNo": "123A 345",
"line1": "Central Park East",
"line2": "Central Park East",
"city": "New York",
"state": "New York",
"zipcode": 10025,
"country": "USA"
},
"email": "test@noreply.com",
"mobile": "323-232-2323",
"logo": "https://images.aasaan.shop/stores/logo/logo_1684500490812.png",
"favicon": "https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png",
"metaData": {},
"workingHours": [
{
"timeZone": "EDT",
"days": [
{
"day": "Monday",
"holiday": "Independence Day, Sunday, Monday",
"times": [
{
"startTime": "10:00 AM",
"endTime": "15:00 PM"
}
]
}
]
}
],
"seo": {
"title": "seo title",
"description": "seo description",
"image": "https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
storeName: 'lunchbox',
currency: 'USD',
templateName: 'Restaurant Template',
address: {
aptNo: '123A 345',
line1: 'Central Park East',
line2: 'Central Park East',
city: 'New York',
state: 'New York',
zipcode: 10025,
country: 'USA'
},
email: 'test@noreply.com',
mobile: '323-232-2323',
logo: 'https://images.aasaan.shop/stores/logo/logo_1684500490812.png',
favicon: 'https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png',
metaData: {},
workingHours: [
{
timeZone: 'EDT',
days: [
{
day: 'Monday',
holiday: 'Independence Day, Sunday, Monday',
times: [{startTime: '10:00 AM', endTime: '15:00 PM'}]
}
]
}
],
seo: {
title: 'seo title',
description: 'seo description',
image: 'https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg'
}
})
};
fetch('https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "store-id-1",
"storeName": "lunchbox",
"email": "test@noreply.com",
"currency": "USD",
"storeUrl": "USD",
"metaData": {},
"address": {
"aptNo": "123A 345",
"line1": "Central Park East",
"line2": "Central Park East",
"city": "New York",
"state": "New York",
"zipcode": 10025,
"country": "USA"
}
}Create a new store.
Create a new Store.
Path Parameters
Store ID for this resource request
Body
Name
"lunchbox"
Base currency associated with this store
"USD"
Template that needs to be used in this store creation to setup home page and other assets
"Restaurant Template"
Address of the store
Show child attributes
Show child attributes
Email associated with the store
"test@noreply.com"
Mobile number associated with the store
"323-232-2323"
Logo which appears on the website
"https://images.aasaan.shop/stores/logo/logo_1684500490812.png"
Favicon which appears on the website
"https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png"
any additional metadata that was stored as a part of this store creation
Gives the working hours on a given day. If you are specifying this - you will have to provide data for all seven days.
Show child attributes
Show child attributes
Seo of the store
Show child attributes
Show child attributes
Response
Store created.
Unique identifier for the resource that was used to create this store
"store-id-1"
Name
"lunchbox"
Email associated with the store
"test@noreply.com"
Base currency associated with this store
"USD"
The full store url that of the store that was created
"USD"
any additional metadata that was stored as a part of this store creation
Address of the store
Show child attributes
Show child attributes
